SDL_ShapeDriver Struct Reference

`#include <SDL_sysvideo.h>`

Collaboration diagram for SDL_ShapeDriver:
[legend]

## Data Fields

SDL_WindowShaper *(* | CreateShaper )(SDL_Window *window)
int(* | SetWindowShape )(SDL_WindowShaper *shaper, SDL_Surface *shape, SDL_WindowShapeMode *shape_mode)
int(* | ResizeWindowShape )(SDL_Window *window)

## Detailed Description

Definition at line 58 of file SDL_sysvideo.h.

## Field Documentation

## CreateShaper

SDL_WindowShaper*(* SDL_ShapeDriver::CreateShaper) (SDL_Window *window)

Definition at line 60 of file SDL_sysvideo.h.

Referenced by SDL_CreateShapedWindow().

## ResizeWindowShape

int(* SDL_ShapeDriver::ResizeWindowShape) (SDL_Window *window)

Definition at line 62 of file SDL_sysvideo.h.

## SetWindowShape

int(* SDL_ShapeDriver::SetWindowShape) (SDL_WindowShaper *shaper, SDL_Surface *shape, SDL_WindowShapeMode *shape_mode)

Definition at line 61 of file SDL_sysvideo.h.

Referenced by SDL_SetWindowShape().

The documentation for this struct was generated from the following file:

- src/video/SDL_sysvideo.h